Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class jdbcStatement

    java.lang.Object
      |
      +--org.hsqldb.jdbcStatement

Direct Known Subclasses:
  jdbcPreparedStatement

public class jdbcStatement
extends Object
implements Statement

Constructor Summary
`(package private)` | `jdbcStatement(org.hsqldb.jdbcConnection )`

Method Summary
`void` | `addBatch(java.lang.String )`
`void` | `cancel()`
`void` | `clearBatch()`
`void` | `clearWarnings()`
`void` | `close()`
`boolean` | `execute(java.lang.String )`
`int[]` | `executeBatch()`
`java.sql.ResultSet` | `executeQuery(java.lang.String )`
`int` | `executeUpdate(java.lang.String )`
`java.sql.Connection` | `getConnection()`
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`int` | `getMaxFieldSize()`
`int` | `getMaxRows()`
`boolean` | `getMoreResults()`
`int` | `getQueryTimeout()`
`java.sql.ResultSet` | `getResultSet()`
`int` | `getResultSetConcurrency()`
`int` | `getResultSetType()`
`int` | `getUpdateCount()`
`java.sql.SQLWarning` | `getWarnings()`
`void` | `setCursorName(java.lang.String )`
`void` | `setEscapeProcessing(boolean )`
`void` | `setFetchDirection(int )`
`void` | `setFetchSize(int )`
`void` | `setMaxFieldSize(int )`
`void` | `setMaxRows(int )`
`void` | `setQueryTimeout(int )`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Constructor Detail

### jdbcStatement

    jdbcStatement(org.hsqldb.jdbcConnection )

Method Detail

### addBatch

    public void addBatch(java.lang.String )

### cancel

    public void cancel()

### clearBatch

    public void clearBatch()

### clearWarnings

    public void clearWarnings()

### close

    public void close()

### execute

    public boolean execute(java.lang.String )

### executeBatch

    public int[] executeBatch()

### executeQuery

    public java.sql.ResultSet executeQuery(java.lang.String )

### executeUpdate

    public int executeUpdate(java.lang.String )

### getConnection

    public java.sql.Connection getConnection()

### getFetchDirection

    public int getFetchDirection()

### getFetchSize

    public int getFetchSize()

### getMaxFieldSize

    public int getMaxFieldSize()

### getMaxRows

    public int getMaxRows()

### getMoreResults

    public boolean getMoreResults()

### getQueryTimeout

    public int getQueryTimeout()

### getResultSet

    public java.sql.ResultSet getResultSet()

### getResultSetConcurrency

    public int getResultSetConcurrency()

### getResultSetType

    public int getResultSetType()

### getUpdateCount

    public int getUpdateCount()

### getWarnings

    public java.sql.SQLWarning getWarnings()

### setCursorName

    public void setCursorName(java.lang.String )

### setEscapeProcessing

    public void setEscapeProcessing(boolean )

### setFetchDirection

    public void setFetchDirection(int )

### setFetchSize

    public void setFetchSize(int )

### setMaxFieldSize

    public void setMaxFieldSize(int )

### setMaxRows

    public void setMaxRows(int )

### setQueryTimeout

    public void setQueryTimeout(int )

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD